Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.extensions
Class InternalElementMapping

    java.lang.Object
      org.apache.fop.fo.ElementMapping
          org.apache.fop.fo.extensions.InternalElementMapping

    public class InternalElementMapping

extends ElementMapping

Element mapping for FOP's internal extension to XSL-FO.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.fo.ElementMapping
`ElementMapping.Maker`

Field Summary
`static java.lang.String` | `SCOPE`
`static java.lang.String` | `STANDARD_PREFIX` The standard XML prefix for elements and attributes in this namespace.
`static java.lang.String` | `STRUCT_ID` The "struct-id" attribute, to identify a structure tree element.
`static java.lang.String` | `STRUCT_REF` The "struct-ref" attribute, to refer to a structure tree element.
`static java.lang.String` | `URI` The FOP extension namespace URI

Fields inherited from class org.apache.fop.fo.ElementMapping
`DEFAULT, foObjs, namespaceURI`

Constructor Summary
`InternalElementMapping()` Constructor.

Method Summary
`java.lang.String` | `getStandardPrefix()`
`protected void` | `initialize()` Initialize the data structures.
`boolean` | `isAttributeProperty(org.apache.xmlgraphics.util.QName attributeName)` Indicates whether a particular attribute of the namespace is a property, i.e.

Methods inherited from class org.apache.fop.fo.ElementMapping
`getDefaultDOMImplementation, getDOMImplementation, getNamespaceURI, getTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URI

    public static final java.lang.String URI

  The FOP extension namespace URI

  See Also:
    Constant Field Values

### STANDARD_PREFIX

    public static final java.lang.String STANDARD_PREFIX

  The standard XML prefix for elements and attributes in this namespace.

  See Also:
    Constant Field Values

### STRUCT_ID

    public static final java.lang.String STRUCT_ID

  The "struct-id" attribute, to identify a structure tree element.

  See Also:
    Constant Field Values

### STRUCT_REF

    public static final java.lang.String STRUCT_REF

  The "struct-ref" attribute, to refer to a structure tree element.

  See Also:
    Constant Field Values

### SCOPE

    public static final java.lang.String SCOPE

See Also:
  Constant Field Values

Constructor Detail

### InternalElementMapping

    public InternalElementMapping()

  Constructor.

Method Detail

### initialize

    protected void initialize()

  Initialize the data structures.

  Specified by:
    `initialize` in class `ElementMapping`

### getStandardPrefix

    public java.lang.String getStandardPrefix()

  Overrides:
    `getStandardPrefix` in class `ElementMapping`
  Returns:
    the standard namespace prefix for this namespace or null if it is not known.

### isAttributeProperty

    public boolean isAttributeProperty(org.apache.xmlgraphics.util.QName attributeName)

  Indicates whether a particular attribute of the namespace is a property, i.e. the attribute value should be converted to a property value.

  Overrides:
    `isAttributeProperty` in class `ElementMapping`
  Parameters:
    `attributeName` - the attribute name
  Returns:
    true if the attribute should be converted to a property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.